package com.game.business.service;

import java.util.List;
import com.game.business.domain.FinTranRecord;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 消费记录Service接口
 *
 * @author game
 * @date 2024-06-18
 */
public interface IFinTranRecordService extends IService<FinTranRecord> {
    /**
     * 查询消费记录
     *
     * @param id 消费记录主键
     * @return 消费记录
     */
    public FinTranRecord selectFinTranRecordById(Long id);

    /**
     * 查询消费记录列表
     *
     * @param finTranRecord 消费记录
     * @return 消费记录集合
     */
    public List<FinTranRecord> selectFinTranRecordList(FinTranRecord finTranRecord);

    /**
     * 新增消费记录
     *
     * @param finTranRecord 消费记录
     * @return 结果
     */
    public int insertFinTranRecord(FinTranRecord finTranRecord);

    /**
     * 修改消费记录
     *
     * @param finTranRecord 消费记录
     * @return 结果
     */
    public int updateFinTranRecord(FinTranRecord finTranRecord);

    /**
     * 批量删除消费记录
     *
     * @param ids 需要删除的消费记录主键集合
     * @return 结果
     */
    public int deleteFinTranRecordByIds(Long[] ids);

    /**
     * 删除消费记录信息
     *
     * @param id 消费记录主键
     * @return 结果
     */
    public int deleteFinTranRecordById(Long id);


    /**
     * 删除消费记录信息
     *
     * @param userId 用户id
     * @return 结果
     */
    public List<FinTranRecord> getUserRecordList(String userId,String beginTime,String endTime);

    Long nextId();
}